Completely removes either the fixed pricing or revenue sharing configuration from the specified site.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/sites/{siteId}/pricing/{paymentModel}/remove.do
Completely removes either the fixed pricing or revenue sharing configuration from the specified site. Use FIXED_PRICE as the paymentModel to remove fixed pricing (including all country-specific prices), or REVENUE_SHARE to remove all advertiser revenue share overrides. Requires ENABLED level on SITE_PAYMENT_MODEL permission.
Path Params
siteIdintegerrequired
Unique numeric ID of the site
5001
paymentModelstringrequired
Payment model to remove: FIXED_PRICE or REVENUE_SHARE
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/sites/5001/pricing/FIXED_PRICE/remove.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());